%define oname		virt

%define api		1.0
%define major		0

%define libname_glib		%mklibname %{oname}-glib %{api} %{major}
%define develname_glib		%mklibname %{oname}-glib %{api} -d

%define libname_gconfig		%mklibname %{oname}-gconfig %{api} %{major}
%define develname_gconfig	%mklibname %{oname}-gconfig %{api} -d

%define libname_gobject		%mklibname %{oname}-gobject %{api} %{major}
%define develname_gobject	%mklibname %{oname}-gobject %{api} -d

%define girmajor	1.0
%define girname_glib		%mklibname %{oname}-glib-gir %{girmajor}
%define girname_gconfig		%mklibname %{oname}-gconfig-gir %{girmajor}
%define girname_gobject		%mklibname %{oname}-gobject-gir %{girmajor}

Summary:	libvirt glib integration for events
Name:		libvirt-glib
Version:	0.2.0
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://libvirt.org/
Source0:	http://libvirt.org/sources/glib/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	python-pkg-resources
# Hack due to https://bugzilla.redhat.com/show_bug.cgi?id=613466
BuildRequires:	libtool
BuildRequires:	vala
BuildRequires:	vala-tools

%description
This package provides integration between libvirt and the glib event loop.

# ---------------------------------------------------------------------------

%package -n %{libname_glib}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration

%description -n %{libname_glib}
This package provides APIs for processing the object configuration data.

%files -n %{libname_glib} -f %name.lang
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-glib-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{develname_glib}
Summary:	libvirt glib integration for events development files
Group:		System/Libraries
Requires:	%{libname_glib} = %{EVRD}
Provides:	%{name}-glib-devel = %{EVRD}
Provides:	%{oname}-glib-devel = %{EVRD}

%description -n %{develname_glib}
This package provides development header files and libraries for
integration between libvirt and the glib event loop.

%files -n %{develname_glib}
%doc examples/event-test.c
%{_libdir}/libvirt-glib-%{api}.so
%{_libdir}/pkgconfig/libvirt-glib-%{api}.pc
%dir %{_includedir}/libvirt-glib-%{api}
%dir %{_includedir}/libvirt-glib-%{api}/libvirt-glib
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib.h
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib-*.h
%{_datadir}/gir-1.0/LibvirtGLib-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-glib
%{_datadir}/vala/vapi/libvirt-glib-%{api}.vapi

#----------------------------------------------------------------------------

%package -n %{girname_glib}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_glib} = %{EVRD}

%description -n %{girname_glib}
GObject Introspection interface description for %{name}.

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/LibvirtGLib-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{libname_gconfig}
Summary:	libvirt object APIs for processing object configuration
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration

%description -n %{libname_gconfig}
This package provides APIs for processing the object configuration data.

%files -n %{libname_gconfig}
%{_libdir}/libvirt-gconfig-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{develname_gconfig}
Summary:	libvirt object APIs for processing object configuration development files
Group:		System/Libraries
Requires:	%{libname_gconfig} = %{EVRD}
Provides:	%{name}-gconfig-devel = %{EVRD}
Provides:	%{oname}-gconfig-devel = %{EVRD}

%description -n %{develname_gconfig}
This package provides development header files and libraries for
the object configuration APIs.

%files -n %{develname_gconfig}
%doc examples/event-test.c
%{_libdir}/libvirt-gconfig-%{api}.so
%{_libdir}/pkgconfig/libvirt-gconfig-%{api}.pc
%dir %{_includedir}/libvirt-gconfig-%{api}
%dir %{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig.h
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig-*.h
%{_datadir}/gir-1.0/LibvirtGConfig-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gconfig
%{_datadir}/vala/vapi/libvirt-gconfig-%{api}.vapi

#----------------------------------------------------------------------------

%package -n %{girname_gconfig}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gconfig} = %{EVRD}

%description -n %{girname_gconfig}
GObject Introspection interface description for %{name}.

%files -n %{girname_gconfig}
%{_libdir}/girepository-1.0/LibvirtGConfig-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{libname_gobject}
Summary:	libvirt object APIs for managing virtualization hosts
Group:		System/Libraries

%description -n %{libname_gobject}
This package provides APIs for managing virtualization host objects.

%files -n %{libname_gobject}
%{_libdir}/libvirt-gobject-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{develname_gobject}
Summary:	libvirt object APIs for managing virtualization hosts development files
Group:		System/Libraries
Requires:	%{libname_gobject} = %{EVRD}
Requires:	%{develname_glib} = %{EVRD}
Requires:	%{develname_gconfig} = %{EVRD}
Provides:	%{name}-gobject-devel = %{EVRD}
Provides:	%{oname}-gobject-devel = %{EVRD}

%description -n %{develname_gobject}
This package provides development header files and libraries for
managing virtualization host objects.

%files -n %{develname_gobject}
%doc examples/event-test.c
%{_libdir}/libvirt-gobject-%{api}.so
%{_libdir}/pkgconfig/libvirt-gobject-%{api}.pc
%dir %{_includedir}/libvirt-gobject-%{api}
%dir %{_includedir}/libvirt-gobject-%{api}/libvirt-gobject
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject.h
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject-*.h
%{_datadir}/gir-1.0/LibvirtGObject-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gobject
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.vapi
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.deps

#----------------------------------------------------------------------------

%package -n %{girname_gobject}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gobject} = %{EVRD}

%description -n %{girname_gobject}
GObject Introspection interface description for %{name}.

%files -n %{girname_gobject}
%{_libdir}/girepository-1.0/LibvirtGObject-%{girmajor}.typelib

# ---------------------------------------------------------------------------

%package python
Summary:	libvirt glib integration for events python binding
Group:		System/Libraries

%description python
This package provides a python module for integration between
libvirt and the glib event loop

%files python
%doc examples/event-test.py
%{py_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --enable-introspection --with-python --disable-static --enable-vala
%make LIBS="-lpython2.7"

%install
%makeinstall_std

%find_lang %{name}

%changelog

* Thu Mar 12 2015 Tigro <ashejn@yandex-team.ru> 0.2.0-1
- (b7f280e) pack lang files


